ON_LocalZero1 Class Referenceabstract

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_optimize.h>`

## Public Member Functions

| ON_LocalZero1 ()
virtual | ~ON_LocalZero1 ()
virtual ON_BOOL32 | Evaluate (double, double *, double *, int)=0
ON_BOOL32 | FindZero (double *)

## Public Attributes

double | m_t0
double | m_t1
double | m_f_tolerance
double | m_t_tolerance
const double * | m_k
int | m_k_count

## Detailed Description

Definition at line 33 of file opennurbs_optimize.h.

## Constructor & Destructor Documentation

## ON_LocalZero1()

ON_LocalZero1::ON_LocalZero1 | ( |  | ) |

## ~ON_LocalZero1()

virtual ON_LocalZero1::~ON_LocalZero1 | ( |  | ) |

virtual

## Member Function Documentation

## Evaluate()

virtual ON_BOOL32 ON_LocalZero1::Evaluate | ( | double | ,
|  | double * | ,
|  | double * | ,
|  | int |
| ) |  |

pure virtual

## FindZero()

ON_BOOL32 ON_LocalZero1::FindZero | ( | double * |  | ) |

## Member Data Documentation

## m_f_tolerance

double ON_LocalZero1::m_f_tolerance

Definition at line 60 of file opennurbs_optimize.h.

## m_k

const double* ON_LocalZero1::m_k

Definition at line 88 of file opennurbs_optimize.h.

## m_k_count

int ON_LocalZero1::m_k_count

Definition at line 91 of file opennurbs_optimize.h.

## m_t0

double ON_LocalZero1::m_t0

Definition at line 58 of file opennurbs_optimize.h.

## m_t1

double ON_LocalZero1::m_t1

Definition at line 58 of file opennurbs_optimize.h.

## m_t_tolerance

double ON_LocalZero1::m_t_tolerance

Definition at line 64 of file opennurbs_optimize.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_optimize.h